This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 57342 - Network timing statis now configurable
Network timing statis now configurable
Status: CLOSED CURRENTRELEASE
Product: eCos
Classification: Retired
Component: Patches and contributions (Show other bugs)
1.5.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: ecc-bugs-int
ecc-bugs-int
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-10 12:26 EST by Andrew Lunn
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-10 12:27:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Here is the patch (7.92 KB, patch)
2001-12-10 12:27 EST, Andrew Lunn
no flags Details | Diff

  None (edit)
Description Andrew Lunn 2001-12-10 12:26:25 EST
Description of Patch:

At the moment the network timing statistics are not configurable. For some
calls the represent quite an overhead. This patch makes the collection of
the statistics and the functions used to print them out configurable at
compile time. By default they are not compiled. The patch also ammends the
tests so they link with our without the statistical information function
being present.  It also makes the tests linkable when the SNMP library is
present which has its own implementation of gettimeofday!

Version-Release number of selected component (if applicable):1.5.2
Comment 1 Andrew Lunn 2001-12-10 12:27:02 EST
Created attachment 40290 [details]
Here is the patch
Comment 2 Jonathan Larmour 2001-12-11 20:09:55 EST
I've applied the patch, thanks! The ChangeLog had a few missing bits, which I've
added. FYI here's the new entry. As I've written here, who supplies
gettimeofday() should be resolved "properly" really, but this will do for now.

Thanks again for the contrib.

2001-12-10  Andrew Lunn <andrew.lunn@ascom.ch>

	* cdl/net.cdl: Add configury to eliminate network timing stats.
	* src/include/machine/param.h: Timing statistics for things like 
	memcpy, mbuf_alloc etc now use configury to determine if the
	statistics code should be compiled.
	* src/ecos/support.c: Ditto.
	* tests/nc_test_slave.c: Only print timing stats when they
	are enabled. 
	* tests/tcp_echo.c: Ditto.
	* tests/nc_test_master.c: Allow building with SNMP lib which has
	its own gettimeofday(). This should be fixed better a different
	way but will do for now.
	
Comment 3 Jonathan Larmour 2001-12-11 20:12:25 EST
One more thing: I removed the CYGPKG_NET_TIMING component. It didn't appear to
serve any purpose as a distinct option. We can always add it later if we add
more timing related options.
Comment 4 Andrew Lunn 2001-12-12 03:26:59 EST
OK. I just cut&paste the CYGPKG_NET_DEBUG from above to make the new entry.
Maybe you should also take that out :-)
Comment 5 Jonathan Larmour 2001-12-12 11:42:20 EST
Ah, no in that case CYGPKG_NET_DEBUG _*is* used (in src/ecos/support.c)
separately from CYGDBG_NET_DHCP_CHATTER. Sorry :-).

Note You need to log in before you can comment on or make changes to this bug.